/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2010-2011 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

// scalar maxCo(readScalar(pimple.dict().lookup("maxCo")));

/*const dictionary& controlDict = runTime.controlDict();
dictionary maxCourantTableDict = controlDict.subDict("maxCourantTable");
interpolationTable<scalar> maxCourantInterpolationTable(maxCourantTableDict);
maxCourantInterpolationTable(0);
*/

scalar t = runTime.value();
// Maximum flow Courant number
autoPtr<DataEntry<scalar> > maxCourantTable
(
    DataEntry<scalar>::New
    (
        "maxCourantTable",
        runTime.controlDict()
    )
);
scalar maxCo = maxCourantTable().value(t);

// Maximum time scale
autoPtr<DataEntry<scalar> > maxDeltaTTable
(
    DataEntry<scalar>::New
    (
        "maxDeltaTTable",
        runTime.controlDict()
    )
);
scalar maxDeltaT = maxDeltaTTable().value(t);

// Smoothing parameter (0-1) when smoothing iterations > 0
autoPtr<DataEntry<scalar> > rDeltaTSmoothingCoeffTable
(
    DataEntry<scalar>::New
    (
        "rDeltaTSmoothingCoeffTable",
        runTime.controlDict()
    )
);
scalar rDeltaTSmoothingCoeff = rDeltaTSmoothingCoeffTable().value(t);

// Maximum change in cell temperature per iteration (relative to previous value)
autoPtr<DataEntry<scalar> > alphaTempTable
(
    DataEntry<scalar>::New
    (
        "alphaTempTable",
        runTime.controlDict()
    )
);
scalar alphaTemp = alphaTempTable().value(t);

Info<< "    maxCo..................." << maxCo << nl
    << "    maxDeltaT..............." << maxDeltaT << nl
    << "    alphaTemp..............." << alphaTemp << nl
    << "    rDeltaTSmoothingCoeff..." << rDeltaTSmoothingCoeff << nl
    << endl;

// ************************************************************************* //
