// Declaration and initialization of interesting statistics

label logFrequency_(25);
args.optionReadIfPresent("logFrequency", logFrequency_);

scalar timeAfter(0.0);
scalar timeBefore(0.0);

scalar timeAfterContinuousPhase(0.0);
scalar timeBeforeContinuousPhase(0.0);

HashTable<scalar> timeStatsHashTable;
timeStatsHashTable.insert("CPUTime", 0.);
timeStatsHashTable.insert("clockTime", 0.);
timeStatsHashTable.insert("count", 0.);
timeStatsHashTable.insert("CPUTimeCloud", 0.);
timeStatsHashTable.insert("countCloud", 0.);
timeStatsHashTable.insert("CPUTimeContinuousPhase", 0.);
timeStatsHashTable.insert("countContinuousPhase", 0.);

OFstream *timeInfoStreamPtr = NULL;

// write file headers
if (Pstream::master())
{
    // get project name and build file names
    fileName casePath = cwd();
    fileName caseName = casePath.name();
    fileName timeInfoFileName = caseName+"_timeInfo.csv";

    timeInfoStreamPtr = new OFstream(timeInfoFileName);

    *timeInfoStreamPtr
	<< "Time; "
    	<< "Time index; "
    	<< "CPU time (cumulative); "
    	<< "clock time (cumulative); "
    	<< "CPU time cloud (ave); "
    	<< "CPU time continuous phase (ave); "
    	<< endl;
}
